
from Components.Converter.Converter import Converter
from Components.Element import cached
from enigma import gPixmapPtr

class WetterCom(Converter, object):
	def __init__(self, args):
		Converter.__init__(self, args)
		if args.isdigit():
			self.element_index = int(args)
		else:
			self.element_index = 0

	@cached
	def getText(self):
		cur = self.source.current
		if cur and self.element_index < len(cur):
			return cur[self.element_index]
		return ''

	text = property(getText)
			
	@cached
	def getPixmap(self):
		cur = self.source.current
		if cur and self.element_index < len(cur):
			curindex = cur[self.element_index]
			if isinstance(curindex ,gPixmapPtr):
				return curindex
		return gPixmapPtr()
			
	pixmap = property(getPixmap)
	

